%define major 3
%define libname %mklibname shout %{major}
%define develname %mklibname shout -d

Summary:	A library for communicating with and sending data to an icecast server
Name:		libshout
Version:	2.2.2
Release:	%mkrel 4
Group:		System/Libraries
License:	LGPL+
URL:		http://www.icecast.org/
Source0:	http://downloads.us.xiph.org/releases/libshout/%{name}-%{version}.tar.bz2
Patch0:		libshout-speex_linkage_fix.diff
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libtheora-devel
BuildRequires:	speex-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Libshout is a library for communicating with and sending data to an
icecast server.  It handles the socket connection, the timing of the
data, and prevents bad data from getting to the icecast server.

With just a few lines of code, a programmer can easily turn any
application into a streaming source for an icecast server.  Libshout also
allows developers who want a specific feature set (database access,
request taking) to concentrate on that feature set, instead of worrying
about how server communication works.

Please refer to the API reference and example code to start learning how
to use libshout in your own code.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	speex-devel
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname shout 3 -d}

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep

%setup -q
%patch0 -p0

%build
autoreconf -fis
%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall_std

# remove installed doc
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/shout.pc
%{_datadir}/aclocal/shout.m4


%changelog
* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-4mdv2009.0
+ Revision: 229863
- fix speex linkage (P0)
- spec file massage

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2.2-2mdv2008.1
+ Revision: 150825
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 03 2007 Adam Williamson <awilliamson@mandriva.com> 2.2.2-1mdv2008.0
+ Revision: 58465
- rebuild for 2008
- Fedora license policy
- new devel policy
- spec clean
- Import libshout



* Tue Aug 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.2-1mdv2007.0
- New version 2.2.2
- buildrequires libtheora-devel

* Fri Jan 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.2-2mdk
- buildrequires speex devel
- force devel package to requires it, automatic dependencies tracking miss it

* Wed Jan 04 2006 Götz Waschk <waschk@mandriva.org> 2.2-1mdk
- New release 2.2
- use mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.1-3mdk
- Rebuild

* Fri Jun 03 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-2mdk 
- fix summary

* Fri Jun 03 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-1mdk
- New release 2.1
- spec cleanup
- drop lib64 patch, aclocal has been updated

* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0-5mdk
- use mklibname, remove duplicated/extraneous provides, lib64 fixes

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0-4mdk 
- rpmbuildupdate aware

* Sun Jul 27 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.0-3mdk
- used %%makeinstall_std to install headers correctly
- no more shout-config binary

* Wed Jul 16 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.0-2mdk
- fixed header location

* Tue Jul 15 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.0-1mdk
- first contrib package
